Subject: Re: [PATCH v2] autocrlf: Make it work also for un-normalized repositories

From: Clemens Buchacher <[email-masked]>
Date: Sun, 23 May 2010 11:30:40 +0200

On Wed, May 12, 2010 at 12:37:57AM +0200, Finn Arne Gangstad wrote:

> Change autocrlf to not do any conversions to files that in the
> repository already contain a CR. git with autocrlf set will never
> create such a file, or change a LF only file to contain CRs, so the
> (new) assumption is that if a file contains a CR, it is intentional,
> and autocrlf should not change that.

I think this is a good change. But it only covers the part where we
translate CR -> LF when staging changes. With Eyvind's patches, if
I understand correctly, it will be possible to convert files to
have LF line endings. Such files will be translated from LF -> CR
when adding changes.

So if the file already has LF line endings, will this cause the
same problem the other way around?

Clemens